import { LiveConnectConfig, EventBus } from '../types';
import { StateWrapper } from './state';
import { WrappedCallHandler } from '../handlers/call-handler';
export declare class PixelSender {
    url: string;
    calls: WrappedCallHandler;
    eventBus: EventBus;
    onload?: () => void;
    presend?: () => void;
    constructor(liveConnectConfig: LiveConnectConfig, calls: WrappedCallHandler, eventBus: EventBus, onload?: () => void, presend?: () => void);
    private callBakers;
    private sendState;
    sendAjax(state: StateWrapper): void;
    sendPixel(state: StateWrapper): void;
}
